#ifndef TFACEPOSE_H__
#define TFACEPOSE_H__

enum
{
	TFACEPOSE_CAPTURE = 1000,
	TFACEPOSE_EXPRESSO = 1001,
	TFACEPOSE_CREATEALL = 1002,
	TFACEPOSE_CALIBRATE_CAPTURE= 1003,
	TFACEPOSE_CALIBRATE = 1004,	
	TFACEPOSE_HELP = 1005,
	TFACEPOSE_POSEMORPH = 1006,
	TFACEPOSE_BAKE_BLENDSHAPES = 1007,
	TFACEPOSE_BAKE_FACE_PSR = 1008,
	TFACEPOSE_BAKE_EYES_PSR = 1009,
	TFACEPOSE_BAKE_SOUND = 1010,
	TFACEPOSE_BAKE_ALL = 1011,
	TFACEPOSE_ADD_PSR_XPRESSO = 1012,

	TFACEPOSE_BLENDSHAPES = 2000,
	TFACEPOSE_BLENDSHAPE_LEFTEYE,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE,
	TFACEPOSE_BLENDSHAPE_JAW,
	TFACEPOSE_BLENDSHAPE_MOUTH,
	TFACEPOSE_BLENDSHAPE_BROW,
	TFACEPOSE_BLENDSHAPE_CHEEK,
	TFACEPOSE_BLENDSHAPE_NOSE,
    TFACEPOSE_BLENDSHAPE_TONGUE,
	
	TFACEPOSE_BLENDSHAPE_LEFTEYE_BLINK = 2100,
	TFACEPOSE_BLENDSHAPE_LEFTEYE_LOOKDOWN,
	TFACEPOSE_BLENDSHAPE_LEFTEYE_LOOKIN,
	TFACEPOSE_BLENDSHAPE_LEFTEYE_LOOKOUT,
	TFACEPOSE_BLENDSHAPE_LEFTEYE_LOOKUP,
	TFACEPOSE_BLENDSHAPE_LEFTEYE_SQUINT,
	TFACEPOSE_BLENDSHAPE_LEFTEYE_WIDE,
	
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_BLINK,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_LOOKDOWN,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_LOOKIN,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_LOOKOUT,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_LOOKUP,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_SQUINT,
	TFACEPOSE_BLENDSHAPE_RIGHTEYE_WIDE,
	
	TFACEPOSE_BLENDSHAPE_JAW_FORWARD,
	TFACEPOSE_BLENDSHAPE_JAW_LEFT,
	TFACEPOSE_BLENDSHAPE_JAW_RIGHT,
	TFACEPOSE_BLENDSHAPE_JAW_OPEN,
	
	TFACEPOSE_BLENDSHAPE_MOUTH_CLOSE,
	TFACEPOSE_BLENDSHAPE_MOUTH_FUNNEL,
	TFACEPOSE_BLENDSHAPE_MOUTH_PUCKER,
	TFACEPOSE_BLENDSHAPE_MOUTH_LEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_RIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_SMILELEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_SMILERIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_FROWNLEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_FROWNRIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_DIMPLELEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_DIMPLERIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_STRETCHLEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_STRETCHRIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_ROLLLOWER,
	TFACEPOSE_BLENDSHAPE_MOUTH_ROLLUPPER,
	TFACEPOSE_BLENDSHAPE_MOUTH_SHRUGLOWER,
	TFACEPOSE_BLENDSHAPE_MOUTH_SHRUGUPPER,
	TFACEPOSE_BLENDSHAPE_MOUTH_PRESSLEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_PRESSRIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_LOWERDOWNLEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_LOWERDOWNRIGHT,
	TFACEPOSE_BLENDSHAPE_MOUTH_UPPERUPLEFT,
	TFACEPOSE_BLENDSHAPE_MOUTH_UPPERUPRIGHT,
	
	TFACEPOSE_BLENDSHAPE_BROW_DOWNLEFT,
	TFACEPOSE_BLENDSHAPE_BROW_DOWNRIGHT,
	TFACEPOSE_BLENDSHAPE_BROW_INNERUP,
	TFACEPOSE_BLENDSHAPE_BROW_OUTERUPLEFT,
	TFACEPOSE_BLENDSHAPE_BROW_OUTERUPRIGHT,
	TFACEPOSE_BLENDSHAPE_CHEEK_PUFF,
	TFACEPOSE_BLENDSHAPE_CHEEK_SQUINTLEFT,
	TFACEPOSE_BLENDSHAPE_CHEEK_SQUINTRIGHT,
	TFACEPOSE_BLENDSHAPE_NOSE_SNEERLEFT,
	TFACEPOSE_BLENDSHAPE_NOSE_SNEERRIGHT,
    
    TFACEPOSE_BLENDSHAPE_TONGUE_OUT,

	TFACEPOSE_BLENDSHAPE_COUNT,
};

#endif // TFACEPOSE_H__



